%% curvature.m
%% Herve Lombaert, September 23rd, 2010
%%
%% Get the gaussian curvature from a mesh for each point
%%
%% X,F - vertices and faces of the mesh
%%
%% C - gaussian curvature
%%

function [Cgauss,Cmean] = curvature(X,F,smooth_level)

if nargin<3; smooth_level = 3; end;
    
options.curvature_smoothing=smooth_level;
options.verb=0;

disp(['Computing Gaussian curvature']);
[Umin,Umax,Cmin,Cmax,Cmean,Cgauss,Normal] = compute_curvature(X,F,options);

end
