%% displayeigenmap.m
%% Herve Lombaert, April 28th, 2010
%%
%% display eigenmaps on a row
%%
%% X, vertices
%% F, faces
%% E, eigenmaps
%% pos, on which row (or colum) to display the eigenmaps
%% total, total number of columns (if we will be showing other eigenmaps)
%% cam_phi, cam_theta, angle of the camera
%%

function displayeigenmap(X, F, E, pos, total, cam_phi, cam_theta)

%if nargin<7; cam_phi=40, cam_theta=60; end;
if nargin<7; cam_theta=0; cam_phi=0; end;
nbeigenvectors = size(E,2);

% % Vertically
% for i = 1:nbeigenvectors
%     subplot(nbeigenvectors,total,pos + (i-1)*total);
%     if isempty(F)
%         plot4(X(:,1), X(:,2), X(:,3), E(:,i), '.');
%     else
%         trisurf(F, X(:,1), X(:,2), X(:,3), E(:,i));
%         shading interp;
%     end
%     axis image; axis off;
%     title(['Eigen ' num2str(i)]);
% end

% Horizontally
for i = 1:nbeigenvectors
    subplot(total,nbeigenvectors,(pos-1)*nbeigenvectors + i);
    if isempty(F)
        plot4(X(:,1), X(:,2), X(:,3), E(:,i), '.');
    else
        trisurf(F, X(:,1), X(:,2), X(:,3), E(:,i));
        shading interp;
    end
    axis image; axis off;
    %title(['Eigen ' num2str(i)]);
    
    repositioncam(X);
    camorbit(cam_phi,cam_theta);
end

end