% REPOSITIONCAM position cam in front of mesh
%
%    REPOSITIONCAM(X,theta) reposition cam in front of mesh
%    theta is a factor of pi (theta=1 would rotate the angle 180deg)
%
%    Example:
%       [X,F] = read_mesh('body.mat');
%       trisurf(F,X(:,1),X(:,2),X(:,3),0);
%       repositioncam(X);

function repositioncam(X,theta)

if nargin<2; theta = 0; end;
theta = theta*pi;

o = mean(X); % origin
set(gca,'CameraViewAngle',100);
campos([cos(theta-pi/2) sin(theta-pi/2) 0]*range(X(:,2)) + o);
camtarget([0 0 0] + o);
camup([0 0 1]);
drawnow;

